Test Connection

Test a connection to verify it works correctly

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

connection_name_or_idstringRequired
The connection name or UUID

Request

This endpoint expects an object.
locationstringOptionalDefaults to /
Specific location to use to test the connection
update_statebooleanOptionalDefaults to true
Set to true update the status of the connection, false to dry run

Response

Successful Response
connection_idstringformat: "uuid"
The unique identifier for the connection
namestringformat: "^[a-z0-9][a-z0-9_]+[a-z0-9]"3-255 characters
The connection name
typeenum
The type of connection
statusenum
The current status of the connection
configobject
The connection configuration
created_dtstringformat: "date-time"
When the connection was created
updated_dtstringformat: "date-time"
When the connection was last updated
descriptionstring or null
The connection description

Errors

422
Unprocessable Entity Error